Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
application_schema = client.application_schemas.retrieve(
version="OFFLINE",
)
print(application_schema)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
applicationSchema, err := client.ApplicationSchemas.Get(context.TODO(), sgp.ApplicationSchemaGetParams{
Version: sgp.F(sgp.ApplicationSchemaGetParamsVersionOffline),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", applicationSchema)
}curl --request GET \
--url https://api.egp.scale.com/v4/application-schemasconst options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/application-schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Applications
Get Application Schemas
GET
/
v4
/
application-schemas
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
application_schema = client.application_schemas.retrieve(
version="OFFLINE",
)
print(application_schema)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
applicationSchema, err := client.ApplicationSchemas.Get(context.TODO(), sgp.ApplicationSchemaGetParams{
Version: sgp.F(sgp.ApplicationSchemaGetParamsVersionOffline),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", applicationSchema)
}Query Parameters
An enum representing the version states of an application and its nodes' schemas. Attributes: V0: The initial version of an application schema. AGENTS_SERVICE: Application schema references egp_services definition. OFFLINE: Application schema for applications that do not run on SGP directly.
Available options:
OFFLINE, V0, AGENTS_SERVICE Response
Successful Response
Show child attributes
Show child attributes
⌘I

